0

Não encontra EntityMapper no arquivo ElasticSearchConfig.java do módulo product-catalog de microserviço

#Spring Cloud #Java
Edson Kokado
Edson Kokado

Faça 2 modificações no arquivo build.gradle como a ilustração abaixo:


Na sessão de plugins altere a versão de springframework.boot.

plugins {

	id 'org.springframework.boot' version '2.2.6.RELEASE'

	...

}


E na sessão de depencencies altere a versão da dependency spring-boot-starter-data-elasticsearch:


dependencies {

...

implementation 'org.springframework.boot:spring-boot-starter-data-elasticsearch:2.4.0'

...

}
0
4

Comentários (15)

0
Wagner Prado

Wagner Prado

02/10/2021 00:12

Funcionou pra mim Obrigado!

2
Caíque Coelho

Caíque Coelho

07/07/2021 00:25

@jose_hailton o seu build.gradle deve ficar semelhante a:


plugins {
   id 'org.springframework.boot' version '2.2.6.RELEASE'
   id 'io.spring.dependency-management' version '1.0.11.RELEASE'
   id 'java'
}

group = 'course.microservices.dio'
version = '0.0.1-SNAPSHOT'
sourceCompatibility = '1.8'

repositories {
   mavenCentral()
}

dependencies {
   implementation 'org.springframework.boot:spring-boot-starter-actuator'
   implementation 'org.springframework.boot:spring-boot-starter-data-elasticsearch:2.4.0'
   implementation 'org.springframework.boot:spring-boot-starter-web'
   testImplementation 'org.springframework.boot:spring-boot-starter-test'
}

test {
   useJUnitPlatform()
}




0
Maria Moura

Maria Moura

29/09/2021 02:47

Boa noite. Eder, se eu troco a versão do elastic no docker, onde mais eu preciso acertar no projeto? Quando fui rodar a primeira vez, deu erro porque o cliente era versão 7.12.1 e o cluster 6.6.2. Baixei nova imagem no docker, com essa versão. A mensagem sumiu, mas quando rodo o teste http http://localhost:8080/actuator, nada acontece. Como ainda não sei trabalhar com o docker e esse projeto está ganhando de 10x0 (por enquanto), agradeço toda ajuda que receber.


Edson, suas dicas no build aqui funcionaram direitinho, ok? Obrigada!

0
T

Thainá Silva

21/09/2021 14:51

Estou com o mesmo problema e não sei mais oque fazer não consigo dar andamento no curso porque não consigo fazer o código, já coloquei tudo que é dependência porem o código não sai do erro alguém pode me ajudar




0
Walace Lima

Walace Lima

06/09/2021 07:02

Segui as orientações descrita, mas não resolveu.Alguém poderia me ajudar? Projeto não sai do erro de importação do EntityMapper.